﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ServiceTrackerPresenter;

namespace ServiceTracker
{
	public partial class AddAccountForm : Form, IAddAccountView
	{
		public event AddAccountViewEventDelegate AccountReadyForCreation;
		private AddAccountPresenter presenter; 

		public AddAccountForm()
		{
			InitializeComponent();
			presenter = new AddAccountPresenter(this);
		}

		public string AccountName
		{
			get { return NameText.Text; }
			set { NameText.Text = value;  }
		}

		public string PhoneNumber
		{
			get { return PhoneNumberText.Text; }
			set { PhoneNumberText.Text = value; }
		}

		public string Address
		{
			get { return AddressText.Text; }
			set { AddressText.Text = value; }
		}

		public string City
		{
			get { return CityText.Text; }
			set { CityText.Text = value; }
		}

		public string State
		{
			get { return StateText.Text; }
			set { StateText.Text = value; }
		}

		public string ZipCode
		{
			get { return ZipCodeText.Text; }
			set { ZipCodeText.Text = value; }
		}

		private void AddAccount_Click(object sender, EventArgs e)
		{
			if (AccountReadyForCreation != null)
				AccountReadyForCreation(this, this);
		}
	}
}
