﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ServiceTrackerLogic
{
	public class Account : IAccount
	{
		public static Account CreateAccount(IAccount account)
		{
			Account a = new Account(account.AccountName, account.PhoneNumber);
			a.Address = account.Address;
			a.City = account.City;
			a.State = account.State;
			a.ZipCode = account.ZipCode;
			return a;
		}

		public Account(string name, string phoneNumber) 
		{
			this.name = name;
			this.phoneNumber = phoneNumber;
		}

		private string name;
		private string phoneNumber;
		private string address;
		private string city;
		private string state;
		private string zipCode;

		public string ZipCode
		{
			get { return zipCode; }
			set { zipCode = value; }
		}

		public string Address
		{
			get { return address; }
			set { address = value; }
		}
	
		public string State
		{
			get { return state; }
			set { state = value; }
		}
	

		public string City
		{
			get { return city; }
			set { city = value; }
		}
	

		public string AccountName
		{
			get { return name; }
			set { name = value; }
		}

		public string PhoneNumber
		{
			get { return phoneNumber; }
			set { phoneNumber = value; }
		}

		public override bool Equals(object obj)
		{
			if (obj is Account)
			{
				Account a = obj as Account;
				return a.AccountName == this.AccountName
					&& a.PhoneNumber == this.PhoneNumber;
			}
			return false;
		}

		public override int GetHashCode()
		{
			return base.GetHashCode();
		}
	
	}
}
