﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace ServiceTrackerLogic
{
	public class Accounts : ObservableCollection<Account>
	{
		public event EventHandler Updated;

		private static Accounts accountStore;
		public static Accounts AccountStore
		{
			get
			{
				if (accountStore == null)
				{
					accountStore = new Accounts();
					accountStore.Add(new Account("Test User", "813-555-1234"));
					accountStore.Add(new Account("Justin Example", "813-555-1212"));
				}
				return accountStore;
			}
			set { accountStore = value; }
		}

		public Accounts(List<Account> accounts) : base(accounts) { }
		public Accounts() : base() { }

		String currentSearchCriteria = String.Empty;

		public Accounts FindAccount(string searchCriteria)
		{
			List<Account> a = new List<Account>(this);
			currentSearchCriteria = searchCriteria;
			Accounts foundAccounts =
				new Accounts(a.FindAll(MatchesNameOrPhone));
			currentSearchCriteria = String.Empty;
			return foundAccounts;
		}

		private bool MatchesNameOrPhone(Account account)
		{
			return account.AccountName.Contains(currentSearchCriteria)
				|| account.PhoneNumber.Contains(currentSearchCriteria);
		}
	}
}
