﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using ServiceTrackerLogic;

namespace ServiceTrackerLogicTests
{
	/// <summary>
	/// Summary description for AccountTests
	/// </summary>
	[TestClass]
	public class AccountTests
	{
		[TestMethod]
		public void TwoAccountsWithMatchingNameAndPhoneAreEqual()
		{
			Account account1 = new Account("Test User", "813-555-1234");
			Account account2 = new Account("Test User", "813-555-1234");
			Assert.AreEqual(account1, account2);
		}

		[TestMethod]
		public void FactoryMethodCreatesAccountWithCorrectInformation()
		{
			IAccount account = new Account("My User", "813-111-2222");
			account.Address = "12345 Blah Circle";
			account.City = "Tampa";
			account.State = "FL";
			account.ZipCode = "12345";

			Account createdAccount = Account.CreateAccount(account);
			Assert.AreEqual(account as Account, createdAccount);
		}
	}
}
